com.trendmicro.ds.platform.rest.object.smartfolder

## Enum Model.ValidationType

- java.lang.Object
- - java.lang.Enum<Model.ValidationType>
  - - com.trendmicro.ds.platform.rest.object.smartfolder.Model.ValidationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Model.ValidationType>
  Enclosing class:
    Model

      public static enum Model.ValidationType
      extends java.lang.Enum<Model.ValidationType>

  List the validation types for the Validate Smart Folder API

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `PREVIEW`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Model.ValidationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Model.ValidationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final Model.ValidationType CREATE

    - #### PREVIEW

          public static final Model.ValidationType PREVIEW

    - #### UPDATE

          public static final Model.ValidationType UPDATE

  - ### Method Detail

    - #### values

          public static Model.ValidationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Model.ValidationType c : Model.ValidationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Model.ValidationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Model.ValidationType>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.